Batch Upload Of Application Documents

The Batch Upload Application Document API can be used to multiple upload documents to applications.

Request Content-Type

Use multipart/form-data content-type for this request.

Body Params

Request Body

files
array of files
required

Files that should be uploaded. In order to add multiple files, several documents should be attached.

files*
string
required

ID of associated application

accessPermissions
array of objects

Defines the ability to view the document by people associated with the application. This is only relevant if your company uses a standard digital portal or a custom digital portal that displays documents with access permissions.

Note: Must be sent as serialized JSON.

Example:

"[ { "entityId": "65fc3e3758565910fe4b7447", "entityType": "borrower", "accessGranted": true } ]"

The array must be serialized as a string.

accessPermissions
string

Example field used for adding data to the options object for a file selected from the files array. In this example, index 0 is used for the first file in the array. However, you can use any index that corresponds to the file in the files array that you are submitting.

Example of passing parentId for the first file

'options[0].parentId': '63ca97b71da7c1618788eeb8'

The parentId field is a string that is ID of application document with type === "folder" to put into. Should be null for the document to appear in the root folder.

options[0].labelIds

Example field used for adding data to the options object for a file selected from the files array. In this example, index 0 is used for the first file in the array. However, you can use any index that corresponds to the file in the files array that you are submitting.

The labelIds field is an array of strings representing label IDs for the file.

Example of passing labelIds for the first file

'options[0].labelIds': '63ca97b71da7c1618788eeb8' 'options[0].labelIds': '63ca97b71da7c1618788eeb9'

Ids of labels to assign to specific document.

string

Stringified metadata as a JSON object.

  • Represents a simple key→value map.
  • Keys are strings up to 40 characters long.
  • Values can be string, number, or boolean.
  • Up to 50 entries.
  • String values up to 500 characters.

Must be sent as a JSON‐serialized string.

string

ID of associated task related to that application

Headers
string
enum
Defaults to 2024-02-26
Allowed:
Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json